Subject: Re: Does GIT_SSH_COMMAND apply to all git commands that connect to remote?

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Jul 2024 08:33:22 -0700

Michał Iwanicki <[email-masked]> writes:

> I'm asking this question, because in docs it explicitly mentions git fetch and git push. Does it apply do other commands
> like git clone? If yes then maybe this information should be added?

"git clone" is like "init + fetch + reset --hard" and "git pull" is
like "fetch + merge/rebase".  They both talk to a remote repository.

When the partial clone feature that allows lazy fetching of missing
objects is in use, you cannot even name an exact command that may
trigger transferring of objects from remote repositories, as a fetch
happens on-demand any time you access an object that you ought to
have fetched during the initial clone but you didn't due to use of
the partial clone feature.

All of them use the usual remote transfer mechanism.

I doubt that it makes sense to repeat it in any and all commands
that potentially connect to remote repositories.  In fact, "git help
git", the most central place, is where GIT_SSH_COMMAND and GIT_SSH
environment variables are described.